Docs

Revocare una chiave API; smette di funzionare subito

  • Nella sandbox

In parole semplici

Revoca subito una chiave API.
POST
/keys/{id}/revoke

Autorizzazione

apiKey
headerAuthorizationBearer <token>

Inviare la chiave come token bearer: Authorization: Bearer <your-api-key>. Lo stato del servizio è l’unica chiamata che non richiede una chiave.

Parametri di percorso

id*string

Corpo della risposta

Revocata (o già revocata).

application/json
  1. response
id*string
client*string
environment*string
Valore tra"sandbox""production"
scopes*array<>
label?string
created_at*string
Formatodate-time
revoked_at?string
Formatodate-time
also_revoked?array<string>

Solo in una risposta di revoca, gli id delle chiavi create sotto questa che sono state revocate con essa.

curl -X POST "https://example.com/keys/string/revoke" \  -H "Authorization: Bearer <your-api-key>"
{  "id": "string",  "client": "string",  "environment": "sandbox",  "scopes": [    "submit"  ],  "label": "string",  "created_at": "2019-08-24T14:15:22Z",  "revoked_at": "2019-08-24T14:15:22Z",  "also_revoked": [    "string"  ]}